Page MenuHomePhabricator

static-host-mapping entries broken after reboot
Closed, ResolvedPublicBUG

Description

On commit they are written to /etc/hosts but on a reboot they are not written. They do remain in the config though.

Details

Difficulty level
Hard (possibly days)
Version
1.2.2
Why the issue appeared?
Design mistake

Event Timeline

roma created this task.Jul 25 2019, 12:20 AM

I could reproduce it. The DHCP client script overwrites those entries.

We are working on a fix, though it's not an easy one.

dmbaturin triaged this task as High priority.
dmbaturin edited projects, added VyOS 1.2 Crux (VyOS 1.2.3); removed VyOS 1.2 Crux.
dmbaturin changed Difficulty level from Easy (less than an hour) to Hard (possibly days).
dmbaturin changed Why the issue appeared? from Will be filled on close to Design mistake.
pasik added a subscriber: pasik.Jul 30 2019, 9:39 AM
dmbaturin closed this task as Resolved.Aug 31 2019, 8:56 PM